Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0048148
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajorhave not tried2021-11-23 19:002023-07-31 12:31
ReporterguilleaerView Statuspublic 
Assigned ToRetail 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0048148: Verified returns and discounts are not having a correct behavior (Umbrella issue)

DescriptionThanks to byTotal discount module POS2 is able to manage different types of discounts; By Line and by total.
A new flag was created in organization to show by total modules in a separated section

TAKE INTO ACCOUNT THAT MENUS SHOULD BE CONFIGURED TO USE A BOM TAX CATEGORY

THIS IS AN UMBRELLA ISSUE -> CHECK RELATED ISSUES


When all issues are fixed review scenarios described in this document

https://docs.google.com/document/d/1sW4beJvcushwwNXiPLY4LEk33xic6Z7DhZCh-XC94fc [^]

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0048309 closedranjith_qualiantech_com POS2 Taxes are not correctly calculated for menus when tax is defined at price list level 
related to defect 0048247 closedprakashmurugesan88 POS2 JIRA 2490 - Wrong behavior when external system discount are applied 
depends on defect 0048234 closedsntgreale POS2 Verified returns and discounts are not having a correct behavior - Case 3 
depends on defect 0048248 closedranjith_qualiantech_com Retail Modules Wrong ticket amount when doing a Verified Return of a ticket with discount 
depends on defect 0048187TAP closedguilleaer POS2 JIRA 2534 (Custom) - Blocking error when returning a ticket 
depends on defect 0048310 closedjorge-garcia POS2 Sample data should be corrected. Menus should be associated to a tax category marked as BOM TAX CATEGORY 
depends on defect 0048302 acknowledgedRetail POS2 JIRA 2580 - Verified Return - Its popup should set the line quantity to return and update remaining quantity 
depends on defect 0048273 closedranjith_qualiantech_com POS2 Jira 2579 [TAP] The rounding calculation is not always correct in verified return with discount 
Not all the children of this issue are yet resolved or closed.

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2021-11-23 19:00 guilleaer New Issue
2021-11-23 19:00 guilleaer Assigned To => Retail
2021-11-23 19:00 guilleaer Triggers an Emergency Pack => No
2021-11-23 19:01 guilleaer Assigned To Retail => sntgreale
2021-11-23 19:01 guilleaer Status new => acknowledged
2021-11-24 12:48 sntgreale Status acknowledged => scheduled
2021-11-30 12:46 guilleaer Status scheduled => acknowledged
2021-11-30 12:46 guilleaer Status acknowledged => scheduled
2021-12-13 12:23 aferraz Issue cloned 0048234
2021-12-13 12:23 aferraz Relationship added depends on 0048234
2021-12-20 13:29 guilleaer Assigned To sntgreale => Retail
2021-12-23 09:46 guilleaer Summary Verified returns and discounts are not having a correct behavior (diferent combinations) => Verified returns and discounts are not having a correct behavior (Umbrella issue)
2021-12-23 09:46 guilleaer Description Updated View Revisions
2021-12-23 09:46 guilleaer Steps to Reproduce Updated View Revisions
2021-12-23 09:48 guilleaer Relationship added related to 0048309
2021-12-23 09:49 guilleaer Relationship added depends on 0048248
2021-12-23 09:50 guilleaer Relationship added related to 0048247
2021-12-23 09:51 guilleaer Relationship added depends on 0048187
2021-12-23 09:56 guilleaer Description Updated View Revisions
2021-12-23 09:58 guilleaer Relationship added depends on 0048310
2021-12-23 09:59 guilleaer Relationship added depends on 0048302
2021-12-23 09:59 guilleaer Status scheduled => acknowledged
2021-12-23 10:05 guilleaer Description Updated View Revisions
2022-01-11 08:47 guilleaer Relationship added depends on 0048273
2023-07-31 12:31 guilleaer Status acknowledged => scheduled
2023-07-31 12:31 guilleaer Status scheduled => resolved
2023-07-31 12:31 guilleaer Resolution open => fixed
2023-07-31 12:31 guilleaer Review Assigned To => guilleaer
2023-07-31 12:31 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker